using DevExpress.Persistent.Base;
using DevExpress.Persistent.BaseImpl.PermissionPolicy;
using DevExpress.Xpo;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Nuvolar.Module.Laravel
{
    [DefaultClassOptions, Persistent("Users")]
    public class Users : XPLiteObject
    {
        public Users(Session session)
            : base(session)
        {
        }
        public override void AfterConstruction()
        {
            base.AfterConstruction();
        }
        [Key(true), Persistent("id")] public int id;
        [Persistent("name")] public string name;
        [Persistent("email")] public string email;
        [Persistent("api_token")] public string api_token;
        [Persistent("permissionpolicyuser"), NoForeignKey] public PermissionPolicyUser PermissionPolicyUser;
        [NonPersistent, VisibleInListView(false), VisibleInLookupListView(false)] public string row_password;
    }
}
